Subject: Re: bug#27237: wicd-curses: `urwid' is not available

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 18 Dec 2020 23:41:41 +0100

zimoun <[email-masked]> writes:

> Hi,
>
> On Sun, 04 Jun 2017 at 17:27, ng0 <[email-masked]> wrote:
>> On a minimal, Xless system when you install wicd through your
>> system configuration and try to start wicd-curses,
>> you get a traceback:
>>
>> File "/gnu/store/aaaaaaaa-wicd-1.7.4/share/wicd/curses/wicd-curses.py", line 44, in <module> import urwid
>> ImportError: No mouled named urwid
>>
>> Which is strange since it is in the inputs, so I'm thinking
>> maybe it needs to be wrapped? I haven't put much though to
>> a solution yet.
>
> Is it still relevant?  If yes, someone could provide moreinfo?
>
> <http://issues.guix.gnu.org/issue/27237>

I cannot reproduce this:

--8<---------------cut here---------------start------------->8---
$ guix environment --ad-hoc --pure wicd -- wicd-curses
/gnu/store/68pb6kcqfc38xk8rn7whmplfq77viwva-wicd-1.7.4/bin/.wicd-curses-real: line 3: mkdir: command not found
Can't connect to the daemon, trying to start it automatically...
Can't automatically start the daemon, this error is fatal...
Error connecting to wicd via D-Bus. Please make sure the wicd service is running.
--8<---------------cut here---------------end--------------->8---

While wicd-curses fails for unrelated reasons, it does *not* fail to
load urwid.

I’m closing this issue.

-- 
Ricardo